package jp.sourceforge.shovel.form;

import jp.sourceforge.shovel.FormatType;
import jp.sourceforge.shovel.ViewType;

public interface IStatusForm {
    String getFormat();
    void setFormat(String format);
    FormatType getFormatType();
    void setFormatType(FormatType formatType);
    boolean isPartial();
    void setPartial(boolean partial);
    String getSource();
    void setSource(String source);
    String getStatus();
    void setStatus(String status);
    long getStatusId();
    void setStatusId(long statusId);
    String getView();
    void setView(String view);
    ViewType getViewType();
    void setViewType(ViewType viewType);
}
